import React from 'react';
import { useQueryCache } from './ReactQueryCacheProvider';
import { useSafeState } from './utils';
export function useIsFetching() {
  var queryCache = useQueryCache();

  var _useSafeState = useSafeState(queryCache.isFetching),
      isFetching = _useSafeState[0],
      setIsFetching = _useSafeState[1];

  React.useEffect(function () {
    return queryCache.subscribe(function () {
      setIsFetching(queryCache.isFetching);
    });
  }, [queryCache, setIsFetching]);
  return isFetching;
}