"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.useIsFetching = useIsFetching;

var _react = _interopRequireDefault(require("react"));

var _ReactQueryCacheProvider = require("./ReactQueryCacheProvider");

var _utils = require("./utils");

function useIsFetching() {
  var queryCache = (0, _ReactQueryCacheProvider.useQueryCache)();

  var _useSafeState = (0, _utils.useSafeState)(queryCache.isFetching),
      isFetching = _useSafeState[0],
      setIsFetching = _useSafeState[1];

  _react.default.useEffect(function () {
    return queryCache.subscribe(function () {
      setIsFetching(queryCache.isFetching);
    });
  }, [queryCache, setIsFetching]);

  return isFetching;
}